<?php
session_start();
require '../src/db.php';
if (!isset($_SESSION['user'])) header('Location: login.php');

$userId   = $_SESSION['user']['id'];
$contenido= trim($_POST['contenido']);
$color    = trim($_POST['color']);

if ($contenido) {
  $stmt = $pdo->prepare("
    INSERT INTO anotaciones (usuario_id, contenido, color)
    VALUES (?, ?, ?)
  ");
  $stmt->execute([$userId, $contenido, $color]);
}

$tab = $_GET['tab'] ?? 'books';
header("Location: index.php?tab={$tab}");
exit;